Index: branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg	(revision 8817)
+++ branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Cloud.cscfg	(revision 9166)
@@ -24,4 +24,7 @@
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" value="MIIBnQYJKoZIhvcNAQcDoIIBjjCCAYoCAQAxggFOMIIBSgIBADAyMB4xHDAaBgNVBAMME1dpbmRvd3MgQXp1cmUgVG9vbHMCEBiSEYQzfxGpQrRVsLegHyUwDQYJKoZIhvcNAQEBBQAEggEALEyQxFoVGXNmWbDtfIra3tjA33W3n9ESgfWKGKv3f0Zsggkm3OzznfY9A8HIoZ7WMOvjl8l8gjQTSxSKGJG8052JM1V7y16jM/bjtShmk7N9h2vdX0rjxXLpdXjGji59PeL6rKiGu2ewPbJhNhvdTStqnpHydnvlb79J2ZbK8E5f+7ngCD7Gy9RQc8zm+1y3UzoqXxZlSVKhsVIvZMoIOuJM4TO7klDZJEsG3Rx/CUXFPAPf15H46t1B0zy2FrMW32BeWFr40qbUW+tKjg8Uiiw4EhHDtqryhzE3ZkjoR0iz7KUQBPDtvq8rSz049EW6ejgGuI2jDyW3iLfIeqfZEzAzBgkqhkiG9w0BBwEwFAYIKoZIhvcNAwcECFNbToWlDaTpgBAOc6871l7N2o4Mut92Cooo" />
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" value="2013-07-05T23:59:59.0000000+02:00" />
+      <Setting name="Cloudia.WindowsAzure.Storage" value="ADJUST_ME" />
+      <Setting name="HiveEndpointName" value="WSHttpBinding_Remote_IHiveService" />
+      <Setting name="ControllerEndpointName" value="WSHttpBinding_Remote_IControllerService" />
     </ConfigurationSettings>
     <Certificates>
Index: branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg	(revision 8817)
+++ branches/OaaS/HeuristicLab.Services.Optimization/ServiceConfiguration.Local.cscfg	(revision 9166)
@@ -24,4 +24,7 @@
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountEncryptedPassword" value="MIIBnQYJKoZIhvcNAQcDoIIBjjCCAYoCAQAxggFOMIIBSgIBADAyMB4xHDAaBgNVBAMME1dpbmRvd3MgQXp1cmUgVG9vbHMCEBiSEYQzfxGpQrRVsLegHyUwDQYJKoZIhvcNAQEBBQAEggEALEyQxFoVGXNmWbDtfIra3tjA33W3n9ESgfWKGKv3f0Zsggkm3OzznfY9A8HIoZ7WMOvjl8l8gjQTSxSKGJG8052JM1V7y16jM/bjtShmk7N9h2vdX0rjxXLpdXjGji59PeL6rKiGu2ewPbJhNhvdTStqnpHydnvlb79J2ZbK8E5f+7ngCD7Gy9RQc8zm+1y3UzoqXxZlSVKhsVIvZMoIOuJM4TO7klDZJEsG3Rx/CUXFPAPf15H46t1B0zy2FrMW32BeWFr40qbUW+tKjg8Uiiw4EhHDtqryhzE3ZkjoR0iz7KUQBPDtvq8rSz049EW6ejgGuI2jDyW3iLfIeqfZEzAzBgkqhkiG9w0BBwEwFAYIKoZIhvcNAwcECFNbToWlDaTpgBAOc6871l7N2o4Mut92Cooo" />
       <Setting name="Microsoft.WindowsAzure.Plugins.RemoteAccess.AccountExpiration" value="2013-07-05T23:59:59.0000000+02:00" />
+      <Setting name="Cloudia.WindowsAzure.Storage" value="ADJUST_ME" />
+      <Setting name="HiveEndpointName" value="WSHttpBinding_Local_IHiveService" />
+      <Setting name="ControllerEndpointName" value="WSHttpBinding_Local_IControllerService" />
     </ConfigurationSettings>
     <Certificates>
Index: branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef	(revision 8817)
+++ branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.build.csdef	(revision 9166)
@@ -32,9 +32,4 @@
       <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
     </Certificates>
-    <Contents>
-      <Content destination=".\">
-        <SourceDirectory path="rcf/Debug/HeuristicLab.Services.Hive.WebRoleContent\" />
-      </Content>
-    </Contents>
   </WebRole>
   <WebRole name="HeuristicLab.Services.Optimization.Web" vmsize="Small">
@@ -56,4 +51,9 @@
       <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
     </Certificates>
+    <ConfigurationSettings>
+      <Setting name="Cloudia.WindowsAzure.Storage" />
+      <Setting name="HiveEndpointName" />
+      <Setting name="ControllerEndpointName" />
+    </ConfigurationSettings>
   </WebRole>
 </ServiceDefinition>
Index: branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef	(revision 8817)
+++ branches/OaaS/HeuristicLab.Services.Optimization/ServiceDefinition.csdef	(revision 9166)
@@ -42,4 +42,9 @@
       <Certificate name="localhost" storeLocation="LocalMachine" storeName="My" />
     </Certificates>
+    <ConfigurationSettings>
+      <Setting name="Cloudia.WindowsAzure.Storage" />
+      <Setting name="HiveEndpointName" />
+      <Setting name="ControllerEndpointName" />
+    </ConfigurationSettings>
   </WebRole>
 </ServiceDefinition>
